{% extends 'frame.html.twig' %}

{% block body %}

   <div class="table_wrapper">
       <div class="table">
           <div class="general_list_row table_header table_row">
               <div class="general_list_cell table_cell">{{ 'tableHeader.username' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.name' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.surname' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.email' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.actions' | trans }}</div>
           </div>



           {% for user in users %}
           <div class="general_list_row table_row">
               <div class="general_list_cell table_cell">{{ user.username }}</div>
               <div class="general_list_cell table_cell">{{ user.name }}</div>
               <div class="general_list_cell table_cell">{{ user.surname }}</div>
               <div class="general_list_cell table_cell">{{ user.email }}</div>
               <div class="general_list_cell table_cell">
                   <a href="{{ path('supervisor_assign_user_jobs', {'id': user.id}) }}">
                       {% image '@AppBundle/Resources/public/img/icons/modify.svg' output='/img/icons/modify.svg' %}
                       <img class="icon" src="{{ asset_url }}" alt="Modify">
                       {% endimage %}
                   </a>
                   <a href="javascript: void(0)" class="delete_confirmation_button" data-id="{{ user.id }}">
                       {% image '@AppBundle/Resources/public/img/icons/delete.svg' output='/img/icons/delete.svg' %}
                       <img class="icon" src="{{ asset_url }}" alt="Delete">
                       {% endimage %}
                   </a>
                   <div class="delete_confirmation_popup" data-id-confirm-popup="{{ user.id }}">
                       {{ 'Are you sure you want to fire this user from this project?' | trans }}
                       <a href="{{ path('supervisor_fire_user', {'id': user.id}) }}">
                           {{ 'Yes' | trans }}
                       </a>
                       <a href="javascript: void(0)" class="delete_cancellation_button">
                           {{ 'No' | trans }}
                       </a>
                   </div>
               </div>
           </div>
           {% endfor %}
       </div>
   </div>
   <a class="create_button basic_button" href="{{  path('admin_create_user') }}">{{ 'buttonlabel.createUser' | trans }}</a>
{% endblock %}
